import 'dart:convert';
import 'package:flutter/widgets.dart';

class Langaugeset {
  Locale locale;
  Map<String, String> map;

  Langaugeset(Locale locale, Map<String, String> map) {
    this.locale = locale;
    this.map = map;
  }

  ///Returns Languageset from JsonString
  ///Json should look like this:
  ///{
  ///"1":"2",
  ///"2":"2"
  ///}
  ///Key and Value of every element in JsonString has to be typeOf String
  factory Langaugeset.fromJsonString(Locale locale, String jsonFile) {
    var jsonMap = json.decode(jsonFile);
    if (jsonMap.runtimeType == Map) {
      Map _jsonMap = jsonMap;
      if (_jsonMap.keys.single.runtimeType == String) {
        return Langaugeset(locale, _jsonMap);
      } else {
        return null;
      }
    } else {
      return null;
    }
  }
}
